# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		perl-Convert-Age
Version:	0.04
Release:	alt1_1
Summary:	Perl module that converts integer seconds into a "compact" form and back

Group:		Development/Perl
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Convert-Age
Source0:	http://search.cpan.org/CPAN/authors/id/C/CF/CFEDDE/Convert-Age-%{version}.tar.gz


BuildArch:	noarch
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(Exporter.pm)


Source44: import.info


%description
This is a rather simple perl module for dealing with time intervals. 
Convert 189988007 seconds to compact form: 6y7d10h26m47s
Convert compact 5h37m5s to seconds: 20225


%prep
%setup -q -n Convert-Age-%{version}


%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
# %{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/*


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_1
- initial fc import

